找回密码
 立即注册
  • QQ空间
  • 回复
  • 收藏

MacOS10.15.7安装Scrapy,到Twisted就出这个奇怪的路径

开始用豆瓣的pip源,后来用默认的,最后干脆直接下载了Twisted-20.3.0.tar.bz2 (3.1 MB)到本地,其他报错陆续消除了,可是目前这个错误怎么也消除不了,本地安装也安装不上,应该是路径问题,搜不到解决方案了。
说明:系统是MacOS10.15.7,Python版本是系统自带的2.7和3.8.2,后者应该是Xcode自带的吧,我一直用的这个3.8.3.平时pip安装的东西都是用的python3 -m pip ……这样代替pip3.
详细报错如下:
一、本地安装Twisted-20.3.0.tar.bz2 (3.1 MB):

MacOS10.15.7安装Scrapy,到Twisted就出这个奇怪的路径-1.jpg

二、python3 -m pip install twisted 报错:

MacOS10.15.7安装Scrapy,到Twisted就出这个奇怪的路径-2.jpg
回复

使用道具 举报

大神点评(7)

刚发出来就被吃了,恢复申诉放出来什么时间都不知道
回复 支持 反对

使用道具 举报

MacOS10.15.7安装Scrapy,到Twisted就出这个奇怪的路径-1.jpg
回复 支持 反对

使用道具 举报

还有好几千行,但都差不多了,后补。
不过从字面上看,好像是什么框架不支持,pip自动应该匹配的是MACOS对应的版本吧,问题是下载了一个本地安装的也不行。上面也没有CP38对应macOS10.15.版本的,10.6试了也不行。
MacOS10.15.7安装Scrapy,到Twisted就出这个奇怪的路径-1.jpg
回复 支持 反对

使用道具 举报

MacOS10.15.7安装Scrapy,到Twisted就出这个奇怪的路径-1.jpg
也没报什么C++之类的错,可能跟操作系统有关系,有没有最近装过这个的呢?
回复 支持 反对

使用道具 举报

MacOS10.15.7安装Scrapy,到Twisted就出这个奇怪的路径-1.jpg
最后这屏的报错了,N个头大,实在是搜不到相关信息了。有几个比较靠谱的说要升级python3.8到3.8.5以上、或者更新Xcode,还有找到手动安装的包……包实在找不到了。。。Xcode已经是最新版本,python3.8.3是系统自带的(也许是装Xcode带下来的),如果实在搞不定,只能装集成环境了吗?
回复 支持 反对

使用道具 举报

楼上群我加了,培训吗?先解决这个问题再说吧
回复 支持 反对

使用道具 举报

问题解决了,装了一下anaconda3,然后终端直接装scrapy,超时重试几次成功。按说是装在了conda集成环境下。可是conda deactivate关闭集成环境后,发现原始环境的pip list里也有scrapy了,可以import,一切如常,不知道咋就好了……甚至都怀疑和安装anaconda到底有没有关系?
回复 支持 反对

使用道具 举报

说点什么

您需要登录后才可以回帖 登录 | 立即注册
HOT • 推荐